Subject: Re: git bisect outputs list of commits in the wrong order

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Jun 2022 11:33:04 -0700

Jeff King <[email-masked]> writes:

> On Fri, Jun 10, 2022 at 10:28:04AM -0700, Junio C Hamano wrote:
>
>> I looked at an "scripted" version in the ancient past and it seems
>> to have computed by iterating over
>> 
>> 	git rev-list bisect/bad --not $good_revs
>> 
>> which would have given these intermediate ones roughly in the
>> reverse chronological order.  It could be that the behaviour
>> regressed when the scripted version was rewritten in C, but I dunno.
>> 
>> Christian (as an "area" expert for bisect), do you have any
>> comments?
>
> It would probably be nice to show them as --oneline, as well. I'd guess
> that a human reading the subjects of a handful of commits could quickly
> make a good guess as to the actual culprit.

True, too.

The scripted version fed the output from above iteration each to
"show-branch" (as "git log --oneline" was probably not so widely
used or may not have been available back then), to make them human
readable.  We should be able to use pretty.c::pretty_print_commit()
with CMT_FMT_ONELINE to do that more easily these days.

By the way, welcome back ;-)